This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 806042 - symbol lookup error: /lib/libgtk-3.so.0: undefined symbol: g_signal_set_va_marshaller
symbol lookup error: /lib/libgtk-3.so.0: undefined symbol: g_signal_set_va_ma...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 14:02 EDT by Jaromír Cápík
Modified: 2016-01-31 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version: gtk3-3.4.1-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-22 00:21:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaromír Cápík 2012-03-22 14:02:29 EDT
Description of problem:
Hello.
I experienced the following error with gtk3-3.3.18-1 combined with glib2-2.31.16-1 ...

symbol lookup error: /lib/libgtk-3.so.0: undefined symbol: g_signal_set_va_marshaller

The problem disappeared after updating glib2 to 2.31.20-1 ...

I've checked the spec file and the problem lies in the %global glib2_version definition ... it's currently set to 2.31.16 and that doesn't seem to work correctly with gtk3 3.3.18 (and possibly higher).
Please, update the spec and rebuild ... 

Version-Release number of selected component (if applicable):
3.3.18-1

How reproducible:
always
Comment 1 Alexander Todorov 2012-04-04 14:51:21 EDT
Hit the same issue with:
gtk3-3.4.0-1.fc17.x86_64
glib2-2.31.16-1.fc17.x86_64

# export GTK_BACKEND=broadway
# gcalctool 
GLib-GIO-Message: Using the 'memory' GSettings backend.  Your settings will not be saved or shared with other applications.
gcalctool: symbol lookup error: /lib64/libgtk-3.so.0: undefined symbol: g_signal_set_va_marshaller


Now upgrading to the latest versions.
Comment 2 Fedora Update System 2012-04-13 22:47:31 EDT
gtk3-3.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gtk3-3.4.1-1.fc17
Comment 3 Fedora Update System 2012-04-14 13:49:45 EDT
Package gtk3-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtk3-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5899/gtk3-3.4.1-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-04-22 00:21:23 EDT
gtk3-3.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.